<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formCategoria">
<p:growl id="mensagem"/>



	<p:panelGrid style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 6px 6px" columns="6">
	
	<f:facet name="header">
            Categoria
    </f:facet>
	 	 
	
		 
	 <p:outputLabel for="nome" value="Nome:"/>
	 <p:inputText id="nome" value = "#{categoriaMB.categoria.nome}" required="true"/>
	 
	 <p:outputLabel value="Sexo: "/>
	 <h:selectOneMenu value="#{categoriaMB.categoria.sexo}" style="width:205px">
            <f:selectItem itemLabel="Masculino" itemValue="MASCULINO" />
            <f:selectItem itemLabel="Feminino" itemValue="FEMININO" />
     </h:selectOneMenu>
	  
	 <p:outputLabel for="nascidos" value="Nascidos a partir de:"/>
	 <p:inputText id="nascidos" value = "#{categoriaMB.categoria.nascidosAPartirDe}" required="true"/>
	 
	 <p:outputLabel for="campeonato" value="Campeonato:"/>
	 <h:selectOneMenu id="campeonato" converter ="ConverterCampeonato"  value="#{categoriaMB.categoria.campeonato}"  style="width:205px">
     		<f:selectItem itemLabel= "Selecione a categoria" noSelectionOption="true"/>
     		<f:selectItems value="#{campeonatoMB.campeonatos}" />
     </h:selectOneMenu>	 
	 
	 <p:outputLabel for="minimo" value="Número mínimo de jogadores:"/>
	 <p:inputText id="minimo" value = "#{categoriaMB.categoria.minJogadores}" required="true"/> 
	 
	 <p:outputLabel for="maximo" value="Número máximo de jogadores:"/>
	 <p:inputText id="maximo" value = "#{categoriaMB.categoria.maxJogadores}" required="true"/> 
	 
	 </p:panelGrid>
	 
	 
	 
	<p:commandButton value="Cadastrar"
					 style="margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px"
					 action="#{categoriaMB.salvar}"
	                 update=":formCategoria"  
	            
	/>




</h:form>


	</ui:define>
</ui:composition>